<?php

namespace Teknisa\SM\Util;

use Teknisa\SM\Controller\SMCrud;
use Zeedhi\Framework\DTO;
use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request\Row;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use Teknisa\SM\Util\ConsultaInscricaoRF;

class ConsultaInscricaoRF {
    
    public static function consultaDadoRF($cpf,$login, $senha, $dataNascimento = null){
		/*$opc = array('proxy_host'=>"192.168.122.3",
	             'proxy_port'=>8080,
	             'proxy_login'=>"",
	             'proxy_password'=>"");*/
		$client = new \SoapClient('http://www.soawebservices.com.br/webservices/producao/cdc/cdc.asmx?WSDL');
		$arguments;
        if (strlen($cpf) == 14){
            $function = 'PessoaJuridicaNFe';
			$arguments = array(array('Credenciais' => array('Email' => $login,'Senha' => $senha),'Documento' => $cpf));
        }
        else{
            $function = 'PessoaFisicaSimplificada';
			$arguments = array(array('Credenciais' => array('Email' => $login,'Senha' => $senha),'Documento' => $cpf, 'DataNascimento' => $dataNascimento));
        }
        if(!isset($arguments))
            return  array("Status" => false, "CONEXAO" => true);
		$options = array('location' => 'http://www.soawebservices.com.br/webservices/producao/cdc/cdc.asmx');
        try {
            $result = $client->__soapCall($function, $arguments, $options);
        }catch (\Exception $e) {
            return  array("Status" => false, "CONEXAO" => true);
        }
	 	$result = json_encode($result);
	 	$resultadoConsulta = json_decode($result,true);
		return $resultadoConsulta[$function.'Result'];
	}
	
}
